Errore durante la convalida delle credenziali Fastly

Questo articolo fornisce una soluzione per il problema in cui un utente riceve un errore durante la convalida delle credenziali Fastly.

Problema

L’utente riceve un errore durante la convalida delle credenziali Fastly.

Prodotti e versioni interessati

  • Adobe Commerce (tutti i metodi di distribuzione): tutte le versioni
  • Estensione o tecnologia (Fastly, New Relic, ecc.) version Fastly

Soluzione

  1. Verifica di disporre dell’ID servizio Fastly e del token API corretti, quindi riprova a eseguire la convalida. Per istruzioni dettagliate, consulta Verifica le credenziali Fastly nella documentazione per gli sviluppatori.

  2. Se la verifica delle credenziali non riesce, esegui il seguente comando curl per confermare lo stato del servizio:

    code language-curl
    curl -H "Fastly-Key: <API key>" https://api.fastly.com/service/<service ID>/version/active
    
  3. Se il comando precedente restituisce un errore simile al seguente: {"msg":"Token $TOKEN scaduto il 28 settembre 2021:03:37Z"}, invia un ticket di supporto per richiedere un nuovo token API.

    Per informazioni su come inviare un ticket di supporto, consulta Guida utente di Adobe Commerce Help Center > TICKET DI SUPPORTO nella nostra knowledge base di supporto.

    note note
    NOTE
    Non condividere mai password o token API validi/attivi direttamente nel ticket, poiché per motivi di sicurezza dovremo revocare il token corrente e generarne uno nuovo.
  4. Se il comando non restituisce l'errore, verificare di eseguire la versione più recente del Fastly estensione. Se utilizzi una versione precedente a 1.2.203, devi prima fare clic su Save Config prima di poter verificare le credenziali.

Letture correlate nella documentazione per gli sviluppatori:

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a